package com.ym.game.listener;


import android.animation.Animator;

/**
 * Created by gaoleichao on 2019/1/9
 */
public abstract class CustomAnimatiorListener implements Animator.AnimatorListener {
    @Override
    public void onAnimationStart(Animator animation) {
        onAnimStart(animation);
    }

    @Override
    public void onAnimationEnd(Animator animation) {

    }

    @Override
    public void onAnimationCancel(Animator animation) {

    }

    @Override
    public void onAnimationRepeat(Animator animation) {

    }

    public abstract void onAnimStart(Animator animation);

}